Skip to main content
GET
cURL

Authorizations

X-API-Key
string
header
required

Customer API key created in the Sendora dashboard.

Headers

X-API-Key
string | null
Authorization
string | null

Query Parameters

type
enum<string>
default:campaign

campaign (the default), folder (campaign folders, with a campaign count each) or template (ready-made campaigns; filter with slug, q, category, channel, limit, offset).

Available options:
campaign,
folder,
template
id
string | null

The campaign's id: the id from the list for this resource. Return this one campaign.

include
string | null

Comma separated extras: preflight (launch checks for one campaign), folders, and config.journey, config.ai, config.channels (sending accounts and tracking per channel), config.versions (saved workflow versions), config.triggers, config.condition_fields, config.dialer_eta (a campaign's settings; add node_id for one step's variables).

node_id
string | null

With a config.* include: a step id, to add that step's variables.

version_no
integer | null

With config.versions: also return this saved workflow version with its graph.

Required range: x >= 1
status
string | null

draft, running, paused, completed or cancelled.

search
string | null
page
integer
default:1
Required range: x >= 1
per_page
integer
default:50
Required range: 1 <= x <= 200

Response

Successful Response

campaigns
CampaignListItem · object[]
required

Campaigns returned by the Sendora API.

total
integer
required

Total returned by the Sendora API.

folders
Folders · object[] | null

Present with include=folders.

summary
CampaignListSummary · object | null

Summary returned by the Sendora API.